import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { useState } from 'react';
import { useDispatch } from "react-redux";
import Button from '@mui/material/Button';
import Grid from '@mui/material/Grid';
import Switch from '@mui/material/Switch';
import FormGroup from '@mui/material/FormGroup';
import Typography from '@mui/material/Typography';
import FormControlLabel from '@mui/material/FormControlLabel';
import AddCircleOutlineIcon from '@mui/icons-material/AddCircleOutline';
import PlayCircleOutlineIcon from '@mui/icons-material/PlayCircleOutline';
import SaveOutlined from '@mui/icons-material/SaveOutlined';
import StopOutlined from '@mui/icons-material/StopOutlined';
import QuestionAnswerOutlined from '@mui/icons-material/QuestionAnswerOutlined';
import { notebookActions, selectNotebook, TerminalLumino } from '../../../index';
const terminal = _jsx(TerminalLumino, {}, void 0);
const Header = () => {
    const [state, setState] = useState({
        terminal: false,
    });
    const dispatch = useDispatch();
    const notebook = selectNotebook();
    const handleChange = (event) => {
        setState(Object.assign(Object.assign({}, state), { [event.target.name]: event.target.checked }));
    };
    return (_jsxs(_Fragment, { children: [_jsxs(Grid, Object.assign({ container: true, spacing: 3, style: { padding: '30px 110px 0px 30px' } }, { children: [_jsx(Grid, Object.assign({ item: true, xs: 6 }, { children: _jsxs(Grid, Object.assign({ container: true, justifyItems: "flex-start" }, { children: [_jsx(Button, Object.assign({ variant: "text", color: "primary", startIcon: _jsx(AddCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.insertBelow.started()) }, { children: "Text" }), void 0),
                                _jsx(Button, Object.assign({ variant: "text", color: "primary", startIcon: _jsx(AddCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.insertBelow.started()) }, { children: "Markdown" }), void 0),
                                _jsx(Button, Object.assign({ variant: "text", color: "primary", startIcon: _jsx(AddCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.insertBelow.started()) }, { children: "Code" }), void 0),
                                _jsx(FormGroup, Object.assign({ row: true, style: { paddingLeft: 10 } }, { children: _jsx(FormControlLabel, { control: _jsx(Switch, { checked: state.terminal, onChange: handleChange, name: "terminal" }, void 0), label: _jsx(Typography, Object.assign({ variant: "body2", display: "block" }, { children: "Terminal" }), void 0) }, void 0) }), void 0)] }), void 0) }), void 0),
                    _jsx(Grid, Object.assign({ item: true, xs: 6 }, { children: _jsxs(Grid, Object.assign({ container: true, justifyItems: "flex-end" }, { children: [_jsx(Button, Object.assign({ variant: "outlined", color: "primary", startIcon: _jsx(SaveOutlined, {}, void 0), onClick: () => dispatch(notebookActions.save.started()) }, { children: "Save" }), void 0),
                                (notebook.kernelStatus === 'idle') &&
                                    _jsx(Button, Object.assign({ variant: "outlined", color: "primary", startIcon: _jsx(PlayCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.runAll.started()) }, { children: "Run all" }), void 0),
                                (notebook.kernelStatus === 'busy') &&
                                    _jsx(Button, Object.assign({ variant: "outlined", color: "secondary", startIcon: _jsx(StopOutlined, {}, void 0), onClick: () => dispatch(notebookActions.interrupt.started()) }, { children: "Stop" }), void 0),
                                ((notebook.kernelStatus !== 'idle') && (notebook.kernelStatus !== 'busy')) &&
                                    _jsx(Button, { variant: "outlined", color: "primary", startIcon: _jsx(QuestionAnswerOutlined, {}, void 0) }, void 0)] }), void 0) }), void 0)] }), void 0), state.terminal && terminal] }, void 0));
};
export default Header;
//# sourceMappingURL=NotebookCustomHeader.js.map