import { applyMiddleware, createStore, combineReducers } from "redux";
import { createEpicMiddleware } from "redux-observable";
import { BehaviorSubject } from 'rxjs';
import { mergeMap } from 'rxjs/operators';
import { initReducers, initEpics } from "./init/InitRedux";
const epicMiddleware = createEpicMiddleware();
function createReducer(asyncReducers) {
    return combineReducers(Object.assign(Object.assign({}, initReducers), asyncReducers));
}
function createInjectableStore() {
    const injectableStore = createStore(createReducer({}), applyMiddleware(epicMiddleware));
    injectableStore.asyncReducers = {};
    injectableStore.injectReducer = (key, asyncReducer) => {
        injectableStore.asyncReducers[key] = asyncReducer;
        injectableStore.replaceReducer(createReducer(injectableStore.asyncReducers));
    };
    injectableStore.injectEpic = (epic) => {
        epicMiddleware.run(epic);
    };
    return injectableStore;
}
const injectableStore = createInjectableStore();
export const epic$ = new BehaviorSubject(initEpics);
const rootEpic = (action$, state$, deps) => epic$.pipe(mergeMap(epic => epic(action$, state$, deps)));
epicMiddleware.run(rootEpic);
export default injectableStore;
//# sourceMappingURL=InjectableStore.js.map