import CellAdapter from './CellAdapter';
export interface ICellState {
    source: string;
    outputsCount: number;
    kernelAvailable: boolean;
}
export declare const cellInitialState: ICellState;
export declare const selectCell: () => ICellState;
export declare enum ActionType {
    SOURCE = "cell/SOURCE",
    OUTPUTS_COUNT = "cell/OUTPUTS_COUNT",
    EXECUTE = "cell/EXECUTE",
    UPDATE = "cell/UPDATE"
}
export declare const cellActions: {
    source: import("typescript-fsa").AsyncActionCreators<string, string, {}>;
    outputsCount: import("typescript-fsa").AsyncActionCreators<number, number, {}>;
    execute: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    update: import("typescript-fsa").AsyncActionCreators<Partial<ICellState>, Partial<ICellState>, {}>;
};
export declare const cellEpics: (cellAdapter: CellAdapter) => any;
export declare const cellReducer: import("typescript-fsa-reducers").ReducerBuilder<ICellState, ICellState>;
