import actionCreatorFactory from "typescript-fsa";
import { useSelector } from "react-redux";
import { combineEpics } from "redux-observable";
import { map, ignoreElements } from "rxjs/operators";
import { ofAction } from "@datalayer/typescript-fsa-redux-observable";
import { reducerWithInitialState } from "typescript-fsa-reducers";
export const fileBrowserInitialState = {
    outputs: 0
};
/* Selectors */
export const selectFileBrowser = () => useSelector((state) => {
    if (state.fileBrowser) {
        return state.fileBrowser;
    }
    return { outputs: 0 };
});
/* Actions */
export var ActionType;
(function (ActionType) {
    ActionType["OUTPUTS"] = "fileBrowser/OUTPUTS";
    ActionType["EXECUTE"] = "fileBrowser/EXECUTE";
})(ActionType || (ActionType = {}));
const actionCreator = actionCreatorFactory('jupyterReact');
export const fileBrowserActions = {
    outputs: actionCreator.async(ActionType.OUTPUTS),
    execute: actionCreator.async(ActionType.EXECUTE),
};
/* Epics */
export const fileBrowserEpics = (fileBrowserLumino) => {
    const outputsEpic = action$ => action$.pipe(ofAction(fileBrowserActions.outputs.started), map(action => {
        return fileBrowserActions.outputs.done({
            params: action.payload,
            result: action.payload
        });
    }));
    const executeEpic = action$ => action$.pipe(ofAction(fileBrowserActions.execute.started), 
    //      tap(action => fileBrowserLumino.execute()),
    ignoreElements());
    const loggingEpic = action$ => action$
        .pipe(ofAction(fileBrowserActions.outputs.started), 
    //      tap(action => fileBrowser.log(action.type)),
    ignoreElements());
    return combineEpics(loggingEpic, outputsEpic, executeEpic);
};
/* Reducers */
export const fileBrowserReducer = reducerWithInitialState(fileBrowserInitialState)
    .case(fileBrowserActions.outputs.done, (state, success) => {
    return Object.assign(Object.assign({}, state), { outputs: success.result });
});
//# sourceMappingURL=FileBrowserState.js.map