/// <reference types="react" />
import { Epic } from "redux-observable";
import { AnyAction } from "typescript-fsa";
import NotebookAdapter from './NotebookAdapter';
import { NotebookChange } from "@jupyterlab/shared-models";
import { Cell, ICellModel } from "@jupyterlab/cells";
import { Kernel } from "@jupyterlab/services";
export interface INotebookState {
    activeCell: Cell<ICellModel> | undefined;
    kernelStatus: Kernel.Status | undefined;
    notebookChange: NotebookChange | undefined;
    portals: React.ReactPortal[];
}
export declare const notebookInitialState: INotebookState;
export declare const selectNotebook: () => INotebookState;
export declare enum ActionType {
    NOTEBOOK_CHANGE = "notebook/NOTEBOOK_CHANGE",
    ACTIVE_CELL_CHANGE = "notebook/ACTIVE_CELL_CHANGE",
    KERNEL_STATUS_CHANGE = "notebook/KERNEL_STATUS_CHANGE",
    RUN = "notebook/RUN",
    RUN_ALL = "notebook/RUN_ALL",
    SAVE = "notebook/SAVE",
    INTERRUPT = "notebook/INTERRUPT",
    INSERT_ABOVE = "notebook/INSERT_ABOVE",
    INSERT_BELOW = "notebook/INSERT_BELOW",
    DELETE = "notebook/DELETE",
    PORTAL = "notebook/PORTAL"
}
export declare const notebookActions: {
    notebookChange: import("typescript-fsa").AsyncActionCreators<NotebookChange, NotebookChange, {}>;
    activeCellChange: import("typescript-fsa").AsyncActionCreators<Cell<ICellModel>, Cell<ICellModel>, {}>;
    kernelStatusChanged: import("typescript-fsa").AsyncActionCreators<Kernel.Status, Kernel.Status, {}>;
    run: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    save: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    runAll: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    interrupt: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    insertAbove: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    insertBelow: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    delete: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    portal: import("typescript-fsa").AsyncActionCreators<import("react").ReactPortal, import("react").ReactPortal, {}>;
};
export declare const notebookEpics: (notebookLumino: NotebookAdapter) => Epic<AnyAction, AnyAction, INotebookState, any>;
export declare const notebookReducer: import("typescript-fsa-reducers").ReducerBuilder<INotebookState, INotebookState>;
