import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { useDispatch } from "react-redux";
import Button from '@mui/material/Button';
import Grid from '@mui/material/Grid';
import AddCircleOutlineIcon from '@mui/icons-material/AddCircleOutline';
import PlayCircleOutlineIcon from '@mui/icons-material/PlayCircleOutline';
import StopOutlined from '@mui/icons-material/StopOutlined';
import QuestionAnswerOutlined from '@mui/icons-material/QuestionAnswerOutlined';
import { notebookActions, selectNotebook } from './NotebookState';
const NotebookToolbar = () => {
    const dispatch = useDispatch();
    const notebook = selectNotebook();
    return (_jsx(_Fragment, { children: _jsxs(Grid, Object.assign({ container: true, spacing: 3, style: { padding: '30px 110px 0px 30px' } }, { children: [_jsx(Grid, Object.assign({ item: true, xs: 6 }, { children: _jsxs(Grid, Object.assign({ container: true, justifyItems: "flex-start" }, { children: [_jsx(Button, Object.assign({ variant: "text", color: "primary", startIcon: _jsx(AddCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.insertBelow.started()) }, { children: "Text" }), void 0),
                            _jsx(Button, Object.assign({ variant: "text", color: "primary", startIcon: _jsx(AddCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.insertBelow.started()) }, { children: "Markdown" }), void 0),
                            _jsx(Button, Object.assign({ variant: "text", color: "primary", startIcon: _jsx(AddCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.insertBelow.started()) }, { children: "Code" }), void 0)] }), void 0) }), void 0),
                _jsx(Grid, Object.assign({ item: true, xs: 6 }, { children: _jsxs(Grid, Object.assign({ container: true, justifyContent: "flex-end" }, { children: [(notebook.kernelStatus === 'idle') &&
                                _jsx(Button, Object.assign({ variant: "outlined", color: "primary", startIcon: _jsx(PlayCircleOutlineIcon, {}, void 0), onClick: () => dispatch(notebookActions.runAll.started()) }, { children: "Run all" }), void 0),
                            (notebook.kernelStatus === 'busy') &&
                                _jsx(Button, Object.assign({ variant: "outlined", color: "secondary", startIcon: _jsx(StopOutlined, {}, void 0), onClick: () => dispatch(notebookActions.interrupt.started()) }, { children: "Stop" }), void 0),
                            ((notebook.kernelStatus !== 'idle') && (notebook.kernelStatus !== 'busy')) &&
                                _jsx(Button, { variant: "outlined", color: "primary", startIcon: _jsx(QuestionAnswerOutlined, {}, void 0) }, void 0)] }), void 0) }), void 0)] }), void 0) }, void 0));
};
export default NotebookToolbar;
//# sourceMappingURL=NotebookToolbar.js.map