import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { createElement } from 'react';
import { createPortal } from 'react-dom';
import { v4 as uuid_v4 } from 'uuid';
import { notebookActions } from '../NotebookState';
import { LuminoReactPortal } from '../../../lumino/LuminoReactPortal';
const CELL_HEADER_CLASS = 'jp-CellHeader';
const CELL_HEADER_DIV_CLASS = 'dla-cellHeaderContainer';
export class CellSidebar extends LuminoReactPortal {
    constructor(sidebarReact, commands, injectableStore) {
        super();
        this.commands = commands;
        this.addClass(CELL_HEADER_CLASS);
        this.id = uuid_v4();
        const sidebar = createElement(sidebarReact, {
            command: this.commands,
            id: this.id
        });
        const portal = createPortal(_jsx("div", Object.assign({ className: CELL_HEADER_DIV_CLASS }, { children: sidebar }), void 0), this.node);
        injectableStore.dispatch(notebookActions.portal.started(portal));
    }
}
//# sourceMappingURL=CellSidebar.js.map