import { Epic } from "redux-observable";
import { AnyAction } from "typescript-fsa";
import SettingsAdapter from './SettingsAdapter';
export declare type ISettings = number;
export interface ISettingsState {
    outputs: ISettings;
}
export declare const settingsInitialState: ISettingsState;
export declare const selectSettings: () => ISettingsState;
export declare enum ActionType {
    OUTPUTS = "settings/OUTPUTS",
    EXECUTE = "settings/EXECUTE"
}
export declare const settingsActions: {
    outputs: import("typescript-fsa").AsyncActionCreators<number, number, {}>;
    execute: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
};
export declare const settingsEpics: (settingsLumino: SettingsAdapter) => Epic<AnyAction, AnyAction, ISettingsState, any>;
export declare const settingsReducer: import("typescript-fsa-reducers").ReducerBuilder<ISettingsState, ISettingsState>;
